<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>
	
	<style type="text/css">
	table{
		border: 1px solid black;
		background-color: #598092;
		margin: 0 auto;
	}
	td{
		border: 1px solid black;
		width: 120px;
		height: 35px;
		text-align: center;
		padding: 5px 8px;
	}
	button{
		text-align: center;
		width: 90px;
		height: 25px;
		color: white;
		font-weight: bold;
		background-color: #364850;
	}
	input{
		text-align: center;
		width: 70px;
		height: 25px;
		margin: 5px 8px;
	}
	</style>
	
	<script type="text/javascript">
		window.addEventListener("load",function(e){
			
			document.querySelector("#sumar").addEventListener("click",function(e){
				let suma1=document.querySelector("#suma1").value;
				let suma2=document.querySelector("#suma2").value;
				let suma=parseFloat(suma1)+parseFloat(suma2);
				document.querySelector("#resultado").value = suma;
			});

			document.querySelector("#restar").addEventListener("click",function(e){
				let resta1=document.querySelector("#resta1").value;
				let resta2=document.querySelector("#resta2").value;
				let resta=parseFloat(resta1)-parseFloat(resta2);
				document.querySelector("#resultado").value = resta;
			});

			document.querySelector("#negar").addEventListener("click",function(e){
				let negar1=document.querySelector("#negar1").value;
				let negar=-(negar1);
				document.querySelector("#resultado").value = negar;
			});

			document.querySelector("#producto").addEventListener("click",function(e){
				let producto1=document.querySelector("#producto1").value;
				let producto2=document.querySelector("#producto2").value;
				let producto=parseFloat(producto1)*parseFloat(producto2);
				document.querySelector("#resultado").value = producto;
			});

			document.querySelector("#cociente").addEventListener("click",function(e){
				let cociente1=document.querySelector("#cociente1").value;
				let cociente2=document.querySelector("#cociente2").value;
				let cociente=parseFloat(cociente1)/parseFloat(cociente2);
				document.querySelector("#resultado").value = cociente;
			});

			document.querySelector("#resto").addEventListener("click",function(e){
				let resto1=document.querySelector("#resto1").value;
				let resto2=document.querySelector("#resto2").value;
				let resto=parseFloat(resto1)%parseFloat(resto2);
				document.querySelector("#resultado").value = resto;
			});

			document.querySelector("#limpiar").value;
				limpiar.addEventListener("click",function(){
				location.reload();
			});
		});
	</script>

</head>
<body>
	<table>
		<tr>
			<td><input type="text" id="suma1"/></td>
			<td><input type="text" id="suma2"/></td>
			<td align="center"><button id="sumar" value="sumar">SUMAR</button></td>
			<td rowspan="6"><input type="text" id="resultado"/>
				<button id="limpiar" value="limpiar">Limpiar</button></td>
		</tr>
		<tr>
			<td><input type="text" id="resta1"/></td>
			<td><input type="text" id="resta2"/></td>
			<td align="center"><button id="restar" value="restar">RESTAR</button></td>
		</tr>
		<tr>
			<td colspan="2" align="center"><input type="text" id="negar1"/></td>
			<td align="center"><button id="negar" value="negar">NEGAR</button></td>
		</tr>
		<tr>
			<td><input type="text" id="producto1"/></td>
			<td><input type="text" id="producto2"/></td>
			<td align="center"><button id="producto" value="producto">PRODUCTO</button></td>
		</tr>
		<tr>
			<td><input type="text" id="cociente1"/></td>
			<td><input type="text" id="cociente2"/></td>
			<td align="center"><button id="cociente" value="cociente">COCIENTE</button></td>
		</tr>
		<tr>
			<td><input type="text" id="resto1"/></td>
			<td><input type="text" id="resto2"/></td>
			<td align="center"><button id="resto" value="resto">RESTO</button></td>
		</tr>
	</table>
</body>
</html>